Subject: Re: bug#19822: url-retrieve: allow to fail when no document is associated with the URI

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 Sep 2019 16:40:02 +0200

Eli Zaretskii <[email-masked]> writes:

> How are network news URL referenced, if not by 'news:'?

They aren't, really.  You use a newsreader to read news -- no modern
browser supports news: URLs.

> Anyway, can we please have an explicit list of those we'd like to
> deprecate, and some usage numbers to back that?  I'd like to have some
> more firm basis for this decision, if possible.

Geez.  Gathering the list of schemes supported is more work than I
thought, because it's not an explicit list.

Here's the schemes it supports:

imap:
file:
http:
https:
ldap:
mail:
mailto:
man:
info:
data:
news:
snews:
nfs:
ftp:
rlogin:
telnet:
tn3270:

Of these, file:, http:, https:, data: and ftp: are the only ones that
are useful.

But on consideration, perhaps it's just best to leave them all as they
are to smoulder.  As you may remember, there's a with-fetched-url branch
that reimplements the entire URL interface, and it only supports the
modern schemes.  (I'm planning on merging when master goes to Emacs 28.)

So we can leave the url.el interfaces alone as a backwards-compatible
stuff and then pension off the entire url.el machinery in, say, Emacs 34.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no